MKFS.MINIX(8)

NOM
mkfs.minix - Créer un système de fichiers MINIX

SYNOPSIS

mkfs.minix [options] périphérique [taille_en_bloc]

DESCRIPTION

mkfs.minix crée un système de fichiers MINIX sur un périphérique (généralement une partition d’un disque).

Le périphérique est généralement indiqué dans un des formats suivants :

    /dev/hda[1-8] (disque IDE 1)
    /dev/hdb[1-8] (disque IDE 2)
    /dev/sda[1-8] (disque SCSI 1)
    /dev/sdb[1-8] (disque SCSI 2)

Le périphérique peut être un périphérique bloc ou un de ses fichiers image mais ce n’est pas obligatoire. Ne vous attendez pas à un quelconque miracle pour un périphérique caractère :-).

Le paramètre taille_en_bloc est la taille désirée pour le système de fichiers (en nombre de blocs). Il n’est présent que pour être compatible avec les anciennes versions. S’il est omis, la taille sera déterminée automatiquement. Il doit exister au moins 10 blocs et il ne peut y en avoir plus de 65 536.

OPTIONS

-c, --check
    Vérifier si les blocs sont corrompus ou non sur le périphérique avant de créer le système de fichiers. Si mkfs.minix en trouve, le total est affiché.

-n, --namelength taille
    Indiquer la taille maximale d’un nom de fichier. Actuellement, les seules valeurs autorisées sont 14 et 30 pour les versions 1 et 2 de système de fichiers. La version 3 n’accepte que la valeur 60. La valeur par défaut est 30.

--lock[=mode]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-i, --inodes nombre
    Indiquer le nombre d’inœuds sur le système de fichiers.

-l, --badblocks fichier
    Lire la liste des blocs corrompus depuis le fichier. Ce fichier contient un numéro de bloc défectueux par ligne. Le total des secteurs défectueux lus est ensuite affiché.

-1
    Créer un système de fichiers MINIX version 1. C’est le comportement par défaut.

-2, -v
    Créer un système de fichiers MINIX version 2.

-3
    Créer un système de fichiers MINIX version 3.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter. L’option longue ne peut pas être combinée avec d’autres options.

ENVIRONNEMENT

LOCK_BLOCK_DEVICE=<mode>
    Utiliser un verrou exclusif BSD. Le mode est « 1 » ou « 0 ». Consulter --lock pour davantage de détails.

CODE DE RETOUR

Le code de retour renvoyé par mkfs.minix est l’un des codes suivants :

0
    Pas d’erreur.

8
    Erreur lors de l’opération.

16
    Erreur d’utilisation ou de syntaxe.

VOIR AUSSI

fsck(8), mkfs(8), reboot(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande mkfs.minix fait partie du paquet util-linux, elle est disponible sur